Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 209830 - [refine html.editor.lib API] was: NoSuchMethodError: org.netbeans.editor.ext.html.parser.SyntaxElement.type()I
[refine html.editor.lib API] was: NoSuchMethodError: org.netbeans.editor.ext....
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Marek Fukala
issues@javaee
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 08:43 UTC by sunbiz
Modified: 2012-04-04 19:59 UTC (History)
19 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.97 KB, text/plain)
2012-03-21 08:43 UTC, sunbiz
Details
stacktrace (5.08 KB, text/plain)
2012-03-21 09:10 UTC, sunbiz
Details
stacktrace (4.94 KB, text/plain)
2012-03-22 14:37 UTC, Maksim Khramov
Details
stacktrace (4.46 KB, text/plain)
2012-03-23 07:31 UTC, Peter Nabbefeld
Details
stacktrace (4.69 KB, text/plain)
2012-03-28 14:59 UTC, powelljf3
Details
stacktrace (4.69 KB, text/plain)
2012-03-29 17:14 UTC, fleka
Details
stacktrace (4.57 KB, text/plain)
2012-03-29 18:08 UTC, aws
Details
stacktrace (4.46 KB, text/plain)
2012-03-30 08:02 UTC, Peter Nabbefeld
Details
stacktrace (4.46 KB, text/plain)
2012-03-30 12:05 UTC, Peter Nabbefeld
Details
stacktrace (4.57 KB, text/plain)
2012-04-04 07:23 UTC, fleka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sunbiz 2012-03-21 08:43:46 UTC
Build: NetBeans IDE Dev (Build 201203200400)
VM: Java HotSpot(TM) 64-Bit Server VM, 22.1-b02, Java(TM) SE Runtime Environment, 1.7.0_03-b05
OS: Windows 7

User Comments:
KhArtNJava: php code editing (switching to netbeans)

KhArtNJava: When I opened Reportt Issue

sunbiz: Scan from External FIle Changes from the Source menu

KhArtNJava: on php file show (switching to netbeans from other application)




Stacktrace: 
java.lang.NoSuchMethodError: org.netbeans.editor.ext.html.parser.SyntaxElement.type()I
   at org.netbeans.modules.html.validation.ValidatorImpl.containsHeadElement(ValidatorImpl.java:173)
   at org.netbeans.modules.html.validation.ValidatorImpl.filterCodeFragmentProblems(ValidatorImpl.java:158)
   at org.netbeans.modules.html.validation.ValidatorImpl.validate(ValidatorImpl.java:114)
   at org.netbeans.modules.html.editor.api.gsf.HtmlParserResult.getValidationResults(HtmlParserResult.java:240)
   at org.netbeans.modules.html.editor.api.gsf.HtmlParserResult.getDiagnostics(HtmlParserResult.java:217)
   at org.netbeans.modules.html.editor.hints.HtmlRuleContext.<init>(HtmlRuleContext.java:68)
Comment 1 sunbiz 2012-03-21 08:43:51 UTC
Created attachment 116979 [details]
stacktrace
Comment 2 sunbiz 2012-03-21 09:10:14 UTC
Created attachment 116980 [details]
stacktrace

Open Required projects for a Maven parent project
Comment 3 Marek Fukala 2012-03-21 09:47:09 UTC
I'm going to refine the html.editor.lib "API" since the current state is a result of a chain of compromises and workarounds.
Comment 4 Maksim Khramov 2012-03-22 14:37:16 UTC
Created attachment 117088 [details]
stacktrace
Comment 5 Peter Nabbefeld 2012-03-23 07:31:14 UTC
Created attachment 117137 [details]
stacktrace

1. Removed cache to enforce refreshing for all open projects (had some issues which look like happening because of an outdated cache).
2. Restarted NetBeans.
Comment 6 powelljf3 2012-03-28 14:59:17 UTC
Created attachment 117418 [details]
stacktrace

This was a startup with a PHP file open during the shutdown.  This was occuring prior to the shutdown as well.

Windows 7
Comment 7 fleka 2012-03-29 17:14:21 UTC
Created attachment 117496 [details]
stacktrace
Comment 8 aws 2012-03-29 18:08:21 UTC
Created attachment 117501 [details]
stacktrace
Comment 9 Peter Nabbefeld 2012-03-30 08:02:21 UTC
Created attachment 117524 [details]
stacktrace
Comment 10 Peter Nabbefeld 2012-03-30 12:05:22 UTC
Created attachment 117538 [details]
stacktrace
Comment 11 Marek Fukala 2012-04-02 07:02:23 UTC
fixed in web-main#1af99f09e439
Comment 12 Quality Engineering 2012-04-02 15:58:54 UTC
Integrated into 'main-golden', will be available in build *201204021038* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1af99f09e439
User: Marek Fukala <mfukala@netbeans.org>
Log: #209830 - [refine html.editor.lib API]
Comment 13 fleka 2012-04-04 07:23:19 UTC
Created attachment 117785 [details]
stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo